@import "libs/shared/assets/src/global-style/variable";


.action-breadcrumb-float-right{
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

nz-page-header {
  padding-top: 0;
  padding-bottom: 0;
  .sendButton {
    background-color: $active-status-invisibile;
    border: none;
    font-weight: 600;
  }
}

.search-bar {
  .search-btn {
    background-color: $active-status-invisibile;
    font-weight: 600;
    min-height: 40px;
    border: none;
  }

  .emp-infoTitle {
    color: $label-color;
    font-size: 14px;
    font-family: avertaB, sans-serif;
  }

  nz-input-number{
    width: 100%;
    border-radius: 8px;
    height: 44px;
    margin-top: 5px;
    padding-top: 5px;
  }

  .block-action-search {
    justify-content: center;
    display: flex;
    margin-top: 20px;
  }

  .rangeDateTitle {
    color: $bg-gray-label;
    font-size: 14px;
    font-weight: 600;
    font-family: 'avertaB', sans-serif;
  }

  .rangeDate {
    width: 100%;
    margin-top: 4px;
    height: 44px;
    border-radius: 8px;
  }

  .expand-btn {
    height: 38px;
    border-radius: 8px;
  }
}

.listPlanTable {
  margin-top: 1%;
  .approvePerson {
    width: 180px;
  }
  .stt {
    text-align: center;
  }

  &__calendar {
    font-size: 15px;
    margin-left: 0;
  }

  &__parentPos {
    width: 500px;
  }

  &__subCol {
    width: 200px;
  }

  .sentDate {
    margin-left: 10px;
  }

  .dateSend {
    width: 130px;
  }
}

.action {
  width: 100px;
  margin-left: 0;
}

.bt-action {
  margin-left: 10px;
}

nz-tag {
  height: 30px;
  padding: 4px;
  text-align: center;
  border-radius: 8px;
}

.statusApprove {
  width: 95%;
}

.otherTag {
  width: 70%;
}

.text-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.text-center {
  text-align: center;
}

.ant-table-cell {
  padding: 4px;
}

::ng-deep .proposeCode {
  .ant-input-number-handler-wrap {
    border-bottom-right-radius: 8px;
    border-top-right-radius: 8px;
  }
}

.excel-icon {
  margin-bottom: 15px;
}

.mat-icon {
  margin-left: 10px;
}


.listEmpIconButton.anticon-more {
  font-size: 22px;
  margin-top: 12px;
  &:hover {
    cursor: pointer;
    color: $hover-color;
    border-radius: 2px;
  }
}

.menu__item {
  width: 100%;
  border-bottom: 1px solid $input-border-color;
  padding: 10px 0;
}

.subButton_dropdown {
  padding: 0 20px;
}

.subDropdown_label {
  font-size: 15px;
}

::ng-deep .excelIcon {
  height: 12px;
}

.iconExcel {
  margin-bottom: 5px;
  margin-right: 5px;
}

::ng-deep {
  .ant-card-bordered {
    border: none;
    border-radius: 8px;
  }
}

